Module java.compiler
Package javax.annotation.processing

## Annotation Type SupportedAnnotationTypes

-     @Documented
      @Target(TYPE)
      @Retention(RUNTIME)
      public @interface SupportedAnnotationTypes

  An annotation used to indicate what annotation types an annotation processor supports. The `Processor.getSupportedAnnotationTypes()` method can construct its result from the value of this annotation, as done by `AbstractProcessor.getSupportedAnnotationTypes()`. Only strings conforming to the grammar should be used as values.
  Since:
    1.6

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element | Description
    --- | --- | ---
    `String[]` | `value` | Returns the names of the supported annotation types.

- - ### Element Detail

    - #### value

          String[] value

      Returns the names of the supported annotation types.
      Returns:
        the names of the supported annotation types